Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225754 - Merge Review: finger
Summary: Merge Review: finger
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:37 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 07:54:01 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:37:24 UTC
Fedora Merge Review: finger

http://cvs.fedora.redhat.com/viewcvs/devel/finger/
Initial Owner: rvokal@redhat.com

Comment 1 Ruben Kerkhof 2007-02-03 19:46:17 UTC
* RPM name is OK
* Source bsd-finger-0.17.tar.gz is the same as upstream
* Builds fine in mock
* File list of finger-server looks OK
* File list of finger looks OK
* Config files of finger-server looks OK

* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* BuildRequires: gcc should not be included
  (wiki: PackagingGuidelines#Exceptions)
* BuildRequires: perl should not be included
  (wiki: PackagingGuidelines#Exceptions)
* Encoding should be UTF-8
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)


Rpmlint is not silent:

Source RPM:
W: finger summary-ended-with-dot The finger client.
E: finger tag-not-utf8 %changelog
W: finger no-url-tag
E: finger non-utf8-spec-file finger.spec
W: finger mixed-use-of-spaces-and-tabs (spaces: line 62, tab: line 88)

rpmlint of finger-server:
W: finger-server summary-ended-with-dot The finger daemon.
E: finger-server tag-not-utf8 %changelog
W: finger-server no-url-tag
E: finger-server non-readable /usr/sbin/in.fingerd 0711
E: finger-server non-standard-executable-perm /usr/sbin/in.fingerd 0711
rpmlint of finger-server: is it OK ? (press Enter if yes, or else type your comment below)


rpmlint of finger:
W: finger summary-ended-with-dot The finger client.
E: finger tag-not-utf8 %changelog
W: finger no-url-tag


Comment 2 Radek Vokal 2007-02-04 12:14:25 UTC
All of the above except of URL which is unknown should be fixed in
finger-0.17-34. Also I've realized that dist tag was missing in the spec. Would
be great to check for that as well. 

Comment 3 Ruben Kerkhof 2007-02-04 12:45:28 UTC
Ah, great. Do you have a url for the new version? It's not avaliable on cvs.fedora.redhat.com yet.

Comment 4 Radek Vokal 2007-02-04 13:15:11 UTC
It's in rawhide, built right now.



Comment 5 Ruben Kerkhof 2007-02-04 13:47:52 UTC
Perfect, I don't see any blockers.
But please consider preserving timestamps with install -p or cp -p when installing files in the next 
version.

This package is approved.

Comment 6 Ruben Kerkhof 2007-03-18 10:04:41 UTC
Assigning ticket to myself as per http://fedoraproject.org/wiki/PackageReviewProcess


Note You need to log in before you can comment on or make changes to this bug.